Loading...
Searching...
No Matches
Matrix.h File Reference

Contains Gudhi::persistence_matrix::Matrix class. More...

Go to the source code of this file.

## Classes

class | Gudhi::persistence_matrix::Matrix< PersistenceMatrixOptions >
| Data structure for matrices, and in particular thought for matrices representing filtered complexes in order to compute persistence and/or representative cycles. More...
struct | Gudhi::persistence_matrix::Matrix< PersistenceMatrixOptions >::RowEntryComp
| Compares two entries by their position in the row. They are assume to be in the same row. More...

## Namespaces

namespace | Gudhi
| Gudhi namespace.
namespace | Gudhi::persistence_matrix
| Persistence matrix namespace.

## Detailed Description

Contains Gudhi::persistence_matrix::Matrix class.

Author
  Hannah Schreiber